function X=tril(A,B)
% A : N-by-d-by-d amat
% B : N-by-d-by-m amat or 
%     N-by-d matrix (m=1) or 
%     d-by-m matrix or 
%     d-by-1 vector (m=1)
% X : N-by-d-by-m amat or
  assert(isamat(A));
  [N,m,n]=size(A);
  [dimA,dimB]=fc_amat.getDimensions(A,B);
  assert( dimA(2)==dimA(3) && dimA(3)==dimB(2) );
  N=dimA(1);d=dimA(2);m=dimB(3);
  getB=fc_amat.getVec(B,N);
  
  X=fc_amat.zeros(N,d,m);
  for l=1:m 
    for i=1:d
      S=0;
      for j=1:i-1
        S=S+A(:,i,j).*X(:,j,l);
      end
      X(:,i,l)=(getB(B,i,l)-S)./A(:,i,i);
    end
  end
end
